Create Bank Transaction
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/bank_transactions \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"company_id": 123,
"data": [
{
"contact_id": "123456",
"account_id": "123456",
"from_account_id": "123456",
"to_account_id": "123456",
"currency_id": "123456",
"amount": 1000,
"type": "creditcard",
"debit_or_credit": "DEBIT",
"status": "Test",
"currency_rate": 1000,
"transaction_date": "2024-01-25T09:00:00Z",
"updated_at": "2024-01-25T09:00:00Z"
}
]
}
'import requests
url = "https://api.rootfi.dev/v3/accounting/bank_transactions"
payload = {
"company_id": 123,
"data": [
{
"contact_id": "123456",
"account_id": "123456",
"from_account_id": "123456",
"to_account_id": "123456",
"currency_id": "123456",
"amount": 1000,
"type": "creditcard",
"debit_or_credit": "DEBIT",
"status": "Test",
"currency_rate": 1000,
"transaction_date": "2024-01-25T09:00:00Z",
"updated_at": "2024-01-25T09:00:00Z"
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 123,
data: [
{
contact_id: '123456',
account_id: '123456',
from_account_id: '123456',
to_account_id: '123456',
currency_id: '123456',
amount: 1000,
type: 'creditcard',
debit_or_credit: 'DEBIT',
status: 'Test',
currency_rate: 1000,
transaction_date: '2024-01-25T09:00:00Z',
updated_at: '2024-01-25T09:00:00Z'
}
]
})
};
fetch('https://api.rootfi.dev/v3/accounting/bank_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rootfi_id": 123,
"rootfi_deleted_at": null,
"rootfi_created_at": "2024-01-25T09:00:00Z",
"rootfi_updated_at": "2024-01-25T09:30:00Z",
"rootfi_company_id": 456,
"platform_id": "123456_1",
"platform_unique_id": "123456",
"contact_id": "123456",
"account_id": "123456",
"from_account_id": "123456",
"to_account_id": "123456",
"currency_id": "123456",
"amount": 1000,
"type": "creditcard",
"debit_or_credit": "DEBIT",
"status": "Test",
"currency_rate": 1000,
"transaction_date": "2024-01-25T09:00:00Z",
"updated_at": "2024-01-25T09:00:00Z"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}Bank Transactions
Create Bank Transaction
Create a new bank transaction.
POST
/
accounting
/
bank_transactions
Create Bank Transaction
Transactions include the Transactional banking data for a specific company and account.
Additional Required Fields
To successfully create an bank transaction, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| ZOHO_BOOKS | from_account_id | The ID of the account from which the amount is transferred. |
| XERO | from_account_id | The ID of the account from which the amount is transferred. |
| FRESH_BOOKS | reference | The reference for the transaction. |
| MYOB_BUSINESS | tax_id | The ID of the tax applied to the transaction. |
| SAGE_CLOUD_ACCOUNTING | reference | The reference for the transaction. |
Authorizations
Body
application/json